# Interface FormSubmitSuccessfulMethod<T>

interface FormSubmitSuccessfulMethod<T> {
metadata?: any;
call(result): any;
}

#### Type Parameters

- T = any

#### Hierarchy

- Method
  - FormSubmitSuccessfulMethod

- Defined in packages/angular/forms/src/lib/directives/models.ts:26

#####
Index

### Properties

metadata?

### Methods

call

## Properties

### `Optional` metadata

metadata?: any

Inherited from Method.metadata

- Defined in packages/pattern/src/lib/meta-data.ts:2

## Methods

### call

- call(result): any

- #### Parameters

  - result: T

  #### Returns any

  Overrides Method.call

  - Defined in packages/angular/forms/src/lib/directives/models.ts:27